# List webhook endpoints

`GET /v1/webhooks`

Returns a page of your workspace's webhook endpoints, newest first. Secrets and custom header values are never returned.

Needs `webhooks:read`.

## Query parameters

- `limit` (integer): How many items to return. From 1 to 100. Default `25`.
- `cursor` (string): The `next_cursor` of the previous page, unchanged. A cursor that was changed is `400 invalid_request`.

## Example

```sh
curl https://app.soosh.io/v1/webhooks \
  -H "Authorization: Bearer $SOOSH_API_KEY"
```

Response 200:

```json
{
  "data": [
    {
      "id": "4c6e8a0c-2e4b-4d6f-b8a0-1c3e5a7c9e4b",
      "url": "https://hooks.example.com/soosh",
      "description": "Order updates",
      "events": [
        "message.status",
        "contact.created"
      ],
      "headers": {
        "X-Api-Token": "********"
      },
      "status": "active",
      "disabled_reason": null,
      "paused_until": null,
      "previous_secret_expires_at": null,
      "created_at": "2026-10-14T09:20:05.631Z",
      "updated_at": "2026-10-14T09:20:05.631Z"
    }
  ],
  "next_cursor": null
}
```

## Returns

200. A page of webhook endpoints.